define({"371":{y:0,u:"../Content/Operations/ESP/ESP_intro.htm",l:-1,t:"Introduction to Event Stream Processing",i:0.000184801637241419,a:"Event Stream Processing (ESP) applies rules to the output of other tasks, including other ESP tasks. One use of ESP is to identify interesting events from a large number of records.  A simple example is detecting the occurrence of a particular word in an audio stream. A  more complex example is ..."},"372":{y:0,u:"../Content/Operations/ESP/EventStreamProcessingImages.htm",l:-1,t:"Event Stream Processing with Documents",i:0.000184801637241419,a:"Event stream processing can be used to discover combinations or sequences of events that occur in video. If you are processing images or documents you can use event stream processing to determine when interesting records occur on the same page. The AndThen, AndThenAny, and AndNotThen tasks are not ..."},"373":{y:0,u:"../Content/Operations/ESP/Filter_setup.htm",l:-1,t:"Filter a Track",i:0.000184801637241419,a:"You can filter a  track to extract records that match particular conditions. For example, you can: extract records from  OCR analysis results that match or contain a specified string extract records from a speech-to-text task that match or contain a specified string extract records from a face ..."},"374":{y:0,u:"../Content/Operations/ESP/Deduplicate_setup.htm",l:-1,t:"Deduplicate Records in a Track",i:0.000184801637241419,a:"Deduplication identifies duplicate records in a track, and produces a new track that has the duplicate records removed.  The engine identifies two identical records that occur within a specific time interval and discards the second record. For example, face recognition can produce a record for each ..."},"375":{y:0,u:"../Content/Operations/ESP/Combine_tracks.htm",l:-1,t:"Combine Tracks",i:0.000498965131366887,a:"You can combine two or more tracks into a single track. The \"Or\" ESP engine creates an output track that contains the records from all of the input tracks. Each record in the resulting track includes the name of the track that it originated from.  For example, you could combine output tracks from ..."},"376":{y:0,u:"../Content/Operations/ESP/And_setup.htm",l:-1,t:"Identify Time-Related Events–And/AndThen Engine",i:0.000184801637241419,a:"The And and AndThen ESP engines compare two or more tracks to identify combinations of events. The events must occur within specific time intervals of each other. The AndThen engine enforces the condition that, for records to be grouped, a record in an input track must start after the record in the ..."},"377":{y:0,u:"../Content/Operations/ESP/AndNot_setup.htm",l:-1,t:"Identify Isolated Events–AndNot Engine",i:0.000321394807110385,a:"The AndNot engine compares tracks to identify when an event occurs in the first track and nothing happens in the other track(s) within a specified time interval. For example, you can identify all the occasions when a company logo appears in a video without mention of the company name in the speech: ..."},"378":{y:0,u:"../Content/Operations/ESP/AndNotThen_setup.htm",l:-1,t:"Identify Isolated Events–AndNotThen Engine",i:0.000321394807110385,a:"The AndNotThen engine compares tracks to identify when an event occurs in the first track and nothing happens in the other track(s) within a specified time interval. The AndNotThen engine enforces the order of events: the first track\u0027s event is considered isolated only if an event in another track ..."},"379":{y:0,u:"../Content/Operations/ESP/Combine.htm",l:-1,t:"Identify and Combine Time-Related Events",i:0.000184801637241419,a:"The  Combine ESP engine combines records from two or more tracks.  The engine produces an output track that contains exactly one record for every record in the first (Input0) input track. Each of the output records contains all related records from the other input track(s). The records from the ..."},"380":{y:0,u:"../Content/Operations/ESP/Lua.htm",l:-1,t:"Write a Lua Script for an ESP Engine",i:0.00124339671229302,a:"Some ESP engines can run a Lua script to determine whether to include a record in the task\u0027s output track. Writing a Lua script allows you to specify more complex rules than you can specify using configuration parameters. For example, a Lua script might specify where in an image recognized text must ..."},"381":{y:0,u:"../Content/Advanced/Perspective.htm",l:-1,t:"Use Perspective in Media Analysis",i:0.000216217986653966,a:"Use Perspective in Media Analysis This section describes how to take account of perspective when processing video, and describes the benefits this provides."},"382":{y:0,u:"../Content/Advanced/Perspective_Introduction.htm",l:-1,t:"Introduction",i:0.000184801637241419,a:"Similar to how a world map represents the globe, an image from a camera is a two-dimensional view of three-dimensional space. Media Server can use perspective when processing video of a scene. This allows Media Server to: convert the position of an object in the scene into real-world 3D coordinates. ..."},"383":{y:0,u:"../Content/Advanced/Perspective_Projection.htm",l:-1,t:"Define the Perspective",i:0.0015993419040457,a:"To understand the effect of perspective on the scene, Media Server requires a projection matrix. This is an array of twelve numbers that it uses to convert locations in the scene image into real-world 3D coordinates. You can specify a projection matrix in your session configuration, by setting the ..."},"384":{y:0,u:"../Content/Advanced/Perspective_Dimensions.htm",l:-1,t:"Define Object Dimensions",i:0.000864513590910297,a:"This section describes how to define known dimensions for objects that appear in the scene. You must do this if you want to: automatically calculate the projection matrix, as described in  Define the Perspective , rather than setting the Projection parameter based on real-world measurements of the ..."},"385":{y:0,u:"../Content/Advanced/Perspective_Filter.htm",l:-1,t:"Filter Objects by Size",i:0.000184801637241419,a:"Media Server can reduce the number of false positive results, by checking whether the size of an object, in pixels, corresponds to the real-world size of such an object at the relevant distance from the camera. To configure this, set the configuration parameter MaxPerspectiveError in your object ..."},"386":{y:0,u:"../Content/Advanced/GPU.htm",l:-1,t:"Enable GPU Acceleration",i:0.000633824014580837,a:"Enable GPU Acceleration This section describes how to use a graphics card (GPU) with Media Server."},"387":{y:0,u:"../Content/Advanced/GPU_Introduction.htm",l:-1,t:"Introduction",i:0.000184801637241419,a:"Media Server can use a graphics card (GPU) to perform some processing tasks: Analysis tasks. Using a GPU rather than the CPU can significantly increase the speed of training and analysis tasks that use Convolutional Neural Networks. The analysis tasks that benefit from GPU acceleration are: Face ..."},"388":{y:0,u:"../Content/Advanced/GPU_Requirements.htm",l:-1,t:"GPU Requirements",i:0.000184801637241419,a:"To accelerate processing by using a GPU, your system must have a NVIDIA graphics card that meets the following requirements. All Quadro and Tesla series cards that meet this requirement are supported. GeForce GTX series cards that meet this requirement are supported, but only with headless Linux ..."},"389":{y:0,u:"../Content/Advanced/GPU_ConfigureMediaServer.htm",l:-1,t:"Configure Media Server",i:0.000184801637241419,a:"This section describes how to configure Media Server to use a GPU. Use a GPU to Ingest and Encode Video Use a GPU for Analysis The number of concurrent tasks that you can run on the GPU is constrained by the resources (such as the amount of memory) available on the graphics card. OpenText recommends ..."},"390":{y:0,u:"../Content/Advanced/GPU_DecodeEncode.htm",l:-1,t:"Use a GPU to Ingest and Encode Video",i:0.000263342510772786,a:"This section describes how to use a GPU for ingesting and encoding video. To use a GPU for ingesting video In your session configuration file, find the section that configures the video ingest engine and set the EnableGPU configuration parameter to TRUE. If the server has more than one graphics card ..."},"391":{y:0,u:"../Content/Advanced/GPU_Analysis.htm",l:-1,t:"Use a GPU for Analysis",i:0.000263342510772786,a:"This section describes how  to use a GPU to accelerate analysis tasks. To use a GPU to accelerate analysis tasks Open the Media Server configuration file in a text editor. In the [Server] section, set the following configuration parameters: For example: [Server]\n...\nCUDAVersion=10 Save and close the ..."},"392":{y:0,u:"../Content/Getting_Started/ParallelProcessingAnalysisGPU.htm",l:-1,t:"Optimize Analysis Performance with a GPU",i:0.000237162219595664,a:"Media Server can use a graphics card (GPU) to perform some processing tasks. Using a GPU rather than the CPU can significantly increase the speed of analysis tasks that use Convolutional Neural Networks. This section describes how to achieve optimum performance when you accelerate the following ..."},"393":{y:0,u:"../Content/Advanced/Chaining/_Chaining.htm",l:-1,t:"Chain Media Servers",i:0.000216217986653966,a:"Chain Media Servers This section describes how to send records to another Media Server, for further processing."},"394":{y:0,u:"../Content/Advanced/Chaining/Introduction.htm",l:-1,t:"Introduction",i:0.000184801637241419,a:"Media Server can send records to another Media Server for further processing. For example, you can run face detection on one Media Server and then send the records describing detected faces to another Media Server that runs face recognition.  In this architecture, the Media Server that ingests the ..."},"395":{y:0,u:"../Content/Advanced/Chaining/_ConfigureOneWay.htm",l:-1,t:"Configure One-Way Chaining",i:0.000184801637241419,a:"Configure One-Way Chaining This section describes how to configure one-way chaining."},"396":{y:0,u:"../Content/Advanced/Chaining/Configure_Upstream.htm",l:-1,t:"Configure the Upstream Media Server",i:0.000184801637241419,a:"This section describes how to configure Media Server to send records to another Media Server for further processing. To send records to another Media Server Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the ..."},"397":{y:0,u:"../Content/Advanced/Chaining/Configure_Downstream.htm",l:-1,t:"Configure the Downstream Media Server",i:0.000184801637241419,a:"This section describes how to configure Media Server to receive records from another Media Server and continue processing them. To receive records from another Media Server Create a new configuration file, or open an existing configuration that you want to modify. In the [Session] section, add a new ..."},"398":{y:0,u:"../Content/Advanced/Chaining/Example_Configs.htm",l:-1,t:"Example Configurations",i:0.000184801637241419,a:"This section includes example configurations that demonstrate how to chain two Media Servers. The following configuration, for the upstream Media Server, runs face detection and then sends the records to a Media Server at gpu-mediaserver:14000: ..."},"399":{y:0,u:"../Content/Advanced/Chaining/StartAndStopProcessing.htm",l:-1,t:"Start and Stop Processing",i:0.000184801637241419,a:"This section describes how to start and stop processing, when you have chosen to split processing between multiple Media Servers. To start processing Start processing as described in  Start Processing . Send the Process action to the upstream Media Server only. You can use the Config, ConfigName, or ..."},"400":{y:0,u:"../Content/Advanced/Chaining/LimitNumberSessions.htm",l:-1,t:"Configure the Maximum Number of Sessions",i:0.000184801637241419,a:"Your Media Server may receive many requests from upstream Media Servers. For example, you might have several Media Servers running face detection but use a single Media Server with a GPU to perform face recognition for all of your cameras or video feeds. The maximum number of processing sessions to ..."},"401":{y:0,u:"../Content/Advanced/Chaining/_ConfigureRemoteAnalysis.htm",l:-1,t:"Configure Feedback Chaining",i:0.000184801637241419,a:"Configure Feedback Chaining This section describes how to configure feedback chaining."},"402":{y:0,u:"../Content/Advanced/Chaining/EnableRemoteAnalysis.htm",l:-1,t:"Enable Feedback Chaining",i:0.000341883384304153,a:"You must enable feedback chaining by making some configuration changes on your downstream Media Server. In the [Chaining] section of the configuration file, set the parameter RemoteAnalysisConfigurations. Specify a comma-separated list of configurations that can be used to perform remote analysis ..."},"403":{y:0,u:"../Content/Advanced/Chaining/Configure_Upstream_RemoteAnalysis.htm",l:-1,t:"Configure the Upstream Media Server",i:0.000184801637241419,a:"This section describes how to configure Media Server to send records to another Media Server. To send records to another Media Server Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a ..."},"404":{y:0,u:"../Content/Advanced/Chaining/Configure_Remote.htm",l:-1,t:"Configure the Remote Media Server",i:0.000184801637241419,a:"This section describes how to create a configuration that ingests records from an upstream Media Server, and performs analysis on those records.  Before starting this procedure, enable feedback chaining by following the instructions in  Enable Feedback Chaining . To receive records from another ..."},"405":{y:0,u:"../Content/Advanced/Chaining/Example_Configs_RemoteAnalysis.htm",l:-1,t:"Example Configurations",i:0.000184801637241419,a:"This section includes example configurations that demonstrate how to configure feedback chaining. The following configuration, for the upstream Media Server, runs face detection and then sends records to a Media Server at gpu-mediaserver:14000 for remote face recognition: ..."},"406":{y:0,u:"../Content/Advanced/Schedule/Schedule.htm",l:-1,t:"Schedule Actions in Media Server",i:0.000216217986653966,a:"Schedule Actions in Media Server This section describes how to schedule Media Server actions to run regularly."},"407":{y:0,u:"../Content/Advanced/Schedule/ScheduleActions_ISA.htm",l:-1,t:"Use IDOL Site Admin to Schedule Media Server Actions",i:0.000184801637241419,a:"The IDOL Site Admin user interface is an IDOL product that allows you to monitor and maintain your IDOL components from a central location. You can also use IDOL Site Admin to schedule actions in your IDOL components. Set Up IDOL Site Admin to Monitor Media Server The following section provides an ..."},"408":{y:0,u:"../Content/Appendixes/Appendixes.htm",l:-1,t:"Appendixes",i:0.000184801637241419,a:"Appendixes This section contains the following appendixes. OCR Supported Languages OCR Supported Specialized Fonts ANPR Supported Locations Speech Analysis Supported Languages Pre-Trained Classifiers Pre-Trained Object Class Recognizers Encoding Profiles Notes on Open Source and Third-Party Software"},"409":{y:0,u:"../Content/Appendixes/OCR_Supported_Languages.htm",l:-1,t:"OCR Supported Languages",i:0.00063259174259394,a:"OCR Supported Languages Media Server OCR supports the following languages. In parentheses following each language name is the corresponding ISO 639-1 language code. Latin Alphabet Arabic Alphabet Chinese Alphabet Cyrillic Alphabet Other Alphabets"},"410":{y:0,u:"../Content/Appendixes/Specialized_Fonts.htm",l:-1,t:"OCR Supported Specialized Fonts",i:0.000282977729155628,a:"OCR Supported Specialized Fonts OCR supports the following specialized fonts and character sets."},"411":{y:0,u:"../Content/Appendixes/ANPR_Locations.htm",l:-1,t:"ANPR Supported Locations",i:0.000204436855624261,a:"ANPR Supported Locations The Automatic Number Plate Recognition (ANPR) analysis engine supports reading number plates from the following locations."},"412":{y:0,u:"../Content/Appendixes/SpeechLanguages.htm",l:-1,t:"Speech Analysis Supported Languages",i:0.00154886096118211,a:"Speech Analysis Supported Languages The following table describes the languages that are supported by language identification and speech-to-text. The \"16kHz\" columns refer to analysis for broadband audio and the \"8kHz\" columns refer to telephony."},"413":{y:0,u:"../Content/Appendixes/PreTrained_Classifiers.htm",l:-1,t:"Pre-Trained Classifiers",i:0.00130264354459537,a:"OpenText may provide classifiers that you can use with Media Server to classify images. The following classifiers are currently available, in the package MediaServerPretrainedModels_\u003cVERSION\u003e_COMMON.zip. When you download this package, ensure that  \u003cVERSION\u003e matches the version of Media Server that ..."},"414":{y:0,u:"../Content/Appendixes/PreTrained_Recognizers.htm",l:-1,t:"Pre-Trained Object Class Recognizers",i:0.00307666298683686,a:"OpenText may provide pre-trained recognizers that you can use with Media Server to recognize objects in images and videos. The following recognizers are currently available, in the package MediaServerPretrainedModels_\u003cVERSION\u003e_COMMON.zip. When you download this package, ensure that  \u003cVERSION\u003e ..."},"415":{y:0,u:"../Content/Appendixes/Encoding_Profiles.htm",l:-1,t:"Encoding Profiles",i:0.000428278532604907,a:"The following encoding profiles are supplied with Media Server for use with the MPEG and Rolling Buffer encoders. Video Profiles The following profiles are MPEG4 profiles that use the H264 codec for encoding video. These are suitable for playback over the web, for example if your users view video ..."},"416":{y:0,u:"../Content/ThirdPartyLicenses/AdditionalNotes.htm",l:-1,t:"Notes on Open Source and Third-Party Software",i:0.000204436855624261,a:"Notes on Open Source and Third-Party Software"},"417":{y:0,u:"../Content/ThirdPartyLicenses/CUDA.htm",l:-1,t:"CUDA Toolkit",i:0.000184801637241419,a:"Media Server statically links (on Linux) and dynamically links (on Windows) against the following third-party libraries: CUDA toolkit Windows: cudart.dll, cublas.dll, curand.dll Linux: libcudart_static.a, libcublas_static.a, libcurand_static.a, libculibos.a Media Server does not use any other ..."},"418":{y:0,u:"../Content/ThirdPartyLicenses/cuDNN.htm",l:-1,t:"cuDNN",i:0.000184801637241419,a:"cuDNN Media Server statically links (on Linux) and dynamically links (on Windows) against the following third-party libraries: CUDNN (version 3) redistributables Windows: cudnn.dll Linux: libcudnn_static.a"},"419":{y:0,u:"../Content/ThirdPartyLicenses/FFmpeg_notes.htm",l:-1,t:"FFmpeg",i:0.000184801637241419,a:"The FFmpeg libraries distributed with Media Server were compiled using the source code available from  http://ffmpeg.org/releases/  with the compiler options shown below (from ffmpeg -L). Windows ffmpeg version 4.1 Copyright (c) 2000-2018 the FFmpeg developers\n built with Microsoft (R) C/C++ ..."},"420":{y:0,u:"../Content/ThirdPartyLicenses/GOP.htm",l:-1,t:"GOP",i:0.000184801637241419,a:"GOP BSD License ------- All code here is under a BSD license and can be used freely for academic and non-academic purposes. One exception are the saliency based seeds (saliency.cpp), which use the patented saliency filter. Media Server does not use the saliency filter."},"421":{y:0,u:"../Content/ThirdPartyLicenses/libheif.htm",l:-1,t:"libde265 and libheif",i:0.000184801637241419,a:"Media Server uses these third-party libraries to provide support for HEIC images. The libraries distributed with Media Server were compiled using the source code available from: libde265 version 1.0.8 -  https://github.com/strukturag/libde265 libheif version 1.12.0 -  ..."},"422":{y:0,u:"../Content/ThirdPartyLicenses/OpenBLAS.htm",l:-1,t:"OpenBLAS",i:0.000184801637241419,a:"The OpenBLAS library (libopenblas.dll) provided for Media Server on the 64-bit Windows platform was compiled using MinGW-w64 and statically linked to MinGW-w64 runtime libraries. mediaserver.exe is not linked to the MinGW-w64 library. MinGW-w64 is used only to compile OpenBLAS on the 64-bit Windows ..."},"423":{y:0,u:"../Content/Actions/_ACI_Actions.htm",l:-1,t:"Actions",i:0.000184801637241419,a:"Actions This section describes the actions that you can use with Media Server."},"424":{y:0,u:"../Content/Actions/_ACI_Actions_Intro.htm",l:-1,t:"Introduction to Actions",i:0.000184801637241419,a:"Actions allow you to query an ACI server  and instruct it to perform a variety of operations. All actions must be sent to the server  Port . The configured authorization roles determine which users can send which actions to the port. See  Authorization Roles Configuration Parameters . The general ..."},"425":{y:0,u:"../Content/Actions/_ACI_Synchronous_and_Asynchro.htm",l:-1,t:"Synchronous and Asynchronous Actions",i:0.000184801637241419,a:"Some actions are synchronous and others are asynchronous. Media Server does not respond to a synchronous action until it has completed the request. The result of the action is in the response to the request. Media Server responds to an asynchronous action immediately. The request is added to a queue ..."},"426":{y:0,u:"../Content/Actions/Database/_Database.htm",l:-1,t:"Database Actions",i:0.000184801637241419,a:"Database Actions The following actions manage an internal training database. CompactDatabaseFile The following actions manage connections to an external training database. DeleteServer ListServers"},"427":{y:0,u:"../Content/Actions/Database/CompactDatabaseFile.htm",l:-1,t:"CompactDatabaseFile",i:0.000237162219595664,a:"Immediately compacts the Media Server database and frees any space that was created by deleting training data. This action applies only to the internal database. If you store training data in a MySQL or PostgreSQL database this action has no effect. Type: synchronous Example ..."},"428":{y:0,u:"../Content/Actions/Database/DeleteServer.htm",l:-1,t:"DeleteServer",i:0.000237162219595664,a:"Multiple Media Servers can use training  data that is stored in a database hosted on an external database server.  So that only one Media Server at a time can modify the same training data, each Media Server registers to use the database. If an Media Server terminates unexpectedly and is not ..."},"429":{y:0,u:"../Content/Actions/Database/ListServers.htm",l:-1,t:"ListServers",i:0.000438750586603673,a:"Multiple Media Servers can use training  data that is stored in a database hosted on an external database server. So that only one Media Server at a time can modify the same training data, each Media Server registers to use the database. This action returns a list of Media Servers that have ..."},"430":{y:0,u:"../Content/Actions/General/_ACI_Actions_General.htm",l:-1,t:"General Actions",i:0.000184801637241419,a:"General Actions"},"431":{y:0,u:"../Content/Actions/General/_ACI_Admin.htm",l:-1,t:"Admin",i:0.000196021762031614,a:"Opens the IDOL Admin interface for the component that you use to call the action. This interface allows you to view data for the component and provides some administrative actions. To use this action, you must have an admin.dat file available for the component. You can configure the location of this ..."},"432":{y:0,u:"../Content/Actions/General/_ACI_DiskReport.htm",l:-1,t:"DiskReport",i:0.00127233677440221,a:"Returns a report of the disk usage.  This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"433":{y:0,u:"../Content/Actions/General/_ACI_Encrypted.htm",l:-1,t:"Encrypted",i:0.000552806531787766,a:"Send encrypted actions. When you are encrypting actions, encrypt the action and then send the Encrypted action, with the encrypted data for the original action in the  Data  parameter. The Encrypted action is for OEM encryption only. For non-OEM IDOL environments, OpenText recommends that you ..."},"434":{y:0,u:"../Content/Actions/General/_ACI_GetChildren.htm",l:-1,t:"GetChildren",i:0.000196021762031614,a:"Displays details of the child components for Media Server. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"435":{y:0,u:"../Content/Actions/General/_ACI_GetLicenseInfo.htm",l:-1,t:"GetLicenseInfo",i:0.000196021762031614,a:"Displays licensing information for  actions. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"436":{y:0,u:"../Content/Actions/General/_ACI_GetVersion.htm",l:-1,t:"GetVersion",i:0.000196021762031614,a:"Displays details of the version and build of an ACI server, the directory it runs on, and server time. Example http://12.3.4.56:9000/action=GetVersion This action requests version details from a component. Optional Parameters This action accepts the following standard ACI action parameters."},"437":{y:0,u:"../Content/Actions/General/_ACI_GRL.htm",l:-1,t:"GRL",i:0.00296951590521912,a:"Displays a log of requests, including the date and time that a request was made, the client IP address that made the request, and the internal thread that handled the action. The list displays only the first 1000 characters of each request. This is an administrative action that can be sent only by ..."},"438":{y:0,u:"../Content/Actions/General/_ACI_ListAsyncActions.htm",l:-1,t:"ListAsyncActions",i:0.000196021762031614,a:"ListAsyncActions Returns a list of the asynchronous actions that are provided by Media Server. Example http://host:1234/action=ListAsyncActions"},"439":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport.htm",l:-1,t:"MemoryReport",i:0.00127233677440221,a:"Details  memory usage. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"440":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo.htm",l:-1,t:"QueueInfo",i:0.025505623150206,a:"The QueueInfo action provides information about the asynchronous actions that the ACI server has queued, is processing, or has finished. You can use the QueueInfo action to: pause and resume processing the queued actions cancel a queued action change the priority of a queued action retrieve the ..."},"441":{y:0,u:"../Content/Actions/General/_ACI_Schedule.htm",l:-1,t:"Schedule",i:0.000196021762031614,a:"The Schedule action configures Media Server to run an action automatically on a defined schedule, and is used to manage schedules. The schedules you define are saved so that they continue to run after the server is restarted. If the server is offline when an action is due to begin, the action is ..."},"442":{y:0,u:"../Content/Actions/General/_ACI_ShowPermissions.htm",l:-1,t:"ShowPermissions",i:0.000552806531787766,a:"The ShowPermissions action returns information on whether a specified IP address is allowed to send query actions or administrative actions to the action port. For users that belong to the Admin standard role (see  Authorization Roles Configuration Parameters ), the ShowPermissions response also ..."},"443":{y:0,u:"../Content/Actions/General/_ACI_SystemLimits.htm",l:-1,t:"SystemLimits",i:0.000196021762031614,a:"Returns details of the following system limits: maximum core file size (in bytes) - UNIX platforms only maximum file size (in bytes) - UNIX platforms only maximum map count - UNIX platforms only block size (in bytes) maximum number of open file handles the number of processors On Microsoft Windows ..."},"444":{y:0,u:"../Content/Actions/General/_ACI_ThreadStatus.htm",l:-1,t:"ThreadStatus",i:0.000196021762031614,a:"Displays a list of all ACI threads and specifies what each thread is doing. Example http://12.3.4.56:9000/action=ThreadStatus This action uses port 9000 to request thread information from a component, which is located on a machine with the IP address 12.3.4.56. Optional Parameters This action ..."},"445":{y:0,u:"../Content/Actions/VideoAnalysis/_MediaAnalysis.htm",l:-1,t:"Media Processing Actions",i:0.000184801637241419,a:"Media Processing Actions"},"446":{y:0,u:"../Content/Actions/VideoAnalysis/Activity.htm",l:-1,t:"Activity",i:0.000199081796065304,a:"Activity Displays the  latest activity user interface. You can use this interface to see what Media Server is currently ingesting and view information about the latest records that were produced. Example /action=activity"},"447":{y:0,u:"../Content/Actions/VideoAnalysis/AlignAudioTranscript.htm",l:-1,t:"AlignAudioTranscript",i:0.000350848768512034,a:"Transcript alignment takes a transcript of the speech in a media file and, by processing the speech, assigns timestamps to all the words in the transcript. This is useful because it allows an application to provide search results from the transcript and open the media file at the correct position. ..."},"448":{y:0,u:"../Content/Actions/VideoAnalysis/DescribeMedia.htm",l:-1,t:"DescribeMedia",i:0.000251442378419548,a:"Returns information about a media file or stream, estimates the ability of Media Server to ingest it, and recommends an ingest engine to use. Type: synchronous Example /action=DescribeMedia\u0026source=./media/my_video.ts Response The following XML is an example response: \u003cautnresponse\u003e\n  ..."},"449":{y:0,u:"../Content/Actions/VideoAnalysis/FindProjection.htm",l:-1,t:"FindProjection",i:0.000777122966518845,a:"Generates a projection matrix that describes the perspective from which a camera views the scene. This action requires that you choose at least four points in the scene. The points must be on the same plane, but cannot be on a straight line. For example, you can choose four points at ground level as ..."},"450":{y:0,u:"../Content/Actions/VideoAnalysis/GetLatestRecord.htm",l:-1,t:"GetLatestRecord",i:0.000199081796065304,a:"The GetLatestRecord action is deprecated in Media Server 12.5.0 and later. OpenText recommends that you use the actions  KeepLatestRecords  and  GetLatestRecords  instead. This action is still available for existing implementations, but it might be incompatible with new functionality. The action ..."},"451":{y:0,u:"../Content/Actions/VideoAnalysis/GetLatestRecords.htm",l:-1,t:"GetLatestRecords",i:0.000423364035721557,a:"Retrieves records that Media Server has saved in memory (see the action  KeepLatestRecords ). You can only retrieve records for a  Process  action that is running. Media Server does not keep records for actions that have finished. Type: synchronous Example /action=GetLatestRecords\n              ..."},"452":{y:0,u:"../Content/Actions/VideoAnalysis/GraphicalUserInterface.htm",l:-1,t:"GraphicalUserInterface",i:0.00170752484609697,a:"Displays a graphical user interface that you can use to interact with Media Server. You can monitor process actions (sessions) that are in progress. You can train Media Server to perform the following operations: Face recognition Image classification Image comparison Image hash Object class ..."},"453":{y:0,u:"../Content/Actions/VideoAnalysis/KeepLatestRecords.htm",l:-1,t:"KeepLatestRecords",i:0.000592500415662266,a:"Instructs Media Server to keep records generated by a processing session in memory, so that they can be retrieved using the action  GetLatestRecords . These actions can be used by front-end applications to provide a preview of what Media Server has processed. Media Server only generates records in ..."},"454":{y:0,u:"../Content/Actions/VideoAnalysis/LinkProcessResults.htm",l:-1,t:"LinkProcessResults",i:0.000199081796065304,a:"Compares the results of two separate process actions and returns pairs of UUIDs (one from each session) that represent the same object class or vehicle. A  process action  accepts input from only one camera. However, you might have two cameras that view the same scene from different perspectives. ..."},"455":{y:0,u:"../Content/Actions/VideoAnalysis/Process.htm",l:-1,t:"Process",i:0.0124040667594782,a:"Starts ingesting and processing the specified media. Type: asynchronous Example The following example starts processing a file using a configuration named myconfig that exists in the  ConfigDirectory  on the Media Server machine. /action=Process\n             \u0026ConfigName=myconfig\n             ..."},"456":{y:0,u:"../Content/Actions/VideoAnalysis/ValidateProcessConfig.htm",l:-1,t:"ValidateProcessConfig",i:0.00097906263327373,a:"Checks whether a session configuration is valid, but does not start processing. Type: synchronous Example To validate the configuration facedetect.cfg, which is stored in the directory specified by the  ConfigDirectory  parameter:    /action=ValidateProcessConfig\u0026ConfigName=facedetect Response An ..."},"457":{y:0,u:"../Content/Actions/Video/_VideoPlayback.htm",l:-1,t:"Rolling Buffer Actions",i:0.000184801637241419,a:"Rolling Buffer Actions"},"458":{y:0,u:"../Content/Actions/Video/AddStream.htm",l:-1,t:"AddStream",i:0.000774612353172681,a:"Creates a new rolling buffer. You must specify a name for the new rolling buffer. You can also set other values such as the path where the video is stored and the amount of storage to use. If you do not specify these settings the default values set in the rolling buffer configuration file are used ..."},"459":{y:0,u:"../Content/Actions/Video/CreateClip.htm",l:-1,t:"CreateClip",i:0.00132784396031236,a:"Creates a video clip from video in a rolling buffer and saves it to the specified location. Media Server does not transcode the video. The clip uses the same codecs as the video in the rolling buffer. Therefore to create clips in MP4 format and play them in a web browser you must have written video ..."},"460":{y:0,u:"../Content/Actions/Video/CreateImage.htm",l:-1,t:"CreateImage",i:0.000721866204992805,a:"Creates an image file from a video frame stored in the rolling buffer. Media Server creates the image from a frame as close as possible to the specified time value. However, if there is no video that corresponds exactly to the requested time, the actual timestamp of the returned frame may differ. ..."},"461":{y:0,u:"../Content/Actions/Video/EditStream.htm",l:-1,t:"EditStream",i:0.000638365558543892,a:"Edits the settings for a rolling buffer. If you try to edit a rolling buffer while Media Server is writing video, this action will fail. Type: synchronous Example http://localhost:14000/action=EditStream\u0026Stream=Stream1\n                                        \u0026MaxFileSizeMB=1000 \nThis action changes ..."},"462":{y:0,u:"../Content/Actions/Video/GetStreamInfo.htm",l:-1,t:"GetStreamInfo",i:0.000511272098856783,a:"Returns information about the rolling buffers that you have configured. Type: synchronous Example /action=GetStreamInfo /action=GetStreamInfo\u0026Stream=Stream1 Response \u003cautnresponse\u003e\n  \u003caction\u003eGETSTREAMINFO\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  \u003cresponsedata\u003e\n    \u003cstream\u003e\n      ..."},"463":{y:0,u:"../Content/Actions/Video/GetPlaylist.htm",l:-1,t:"GetPlaylist",i:0.0048844182053765,a:"Returns an HLS playlist for content in the rolling buffer. An HLS-compliant media player can use the playlist to play back video from the rolling buffer.  Type: synchronous You must specify one of the following combinations of parameters: Stream  and  StartTime : produces a playlist that starts at ..."},"464":{y:0,u:"../Content/Actions/Video/GetRecordedRanges.htm",l:-1,t:"GetRecordedRanges",i:0.000958498290949796,a:"Returns a list of the content in your rolling buffers. For each rolling buffer, the list shows the time ranges that contain video; for example, a stream might be recorded for only one hour a day. Times are returned in microseconds. Type: synchronous Example ..."},"465":{y:0,u:"../Content/Actions/Video/GetStreams.htm",l:-1,t:"GetStreams",i:0.000511272098856783,a:"Returns a list of rolling buffers that have been configured. Type: synchronous Example http://12.3.4.56:9000/action=GetStreams This action uses port 9000 to contact Media Server on a machine with the IP address 12.3.4.56, to retrieve a list of rolling buffers. Response A sample response appears ..."},"466":{y:0,u:"../Content/Actions/Video/PreAllocateStorage.htm",l:-1,t:"PreAllocateStorage",i:0.000199081796065304,a:"Allocates storage in a rolling buffer. Media Server must allocate storage before it can write video to a rolling buffer. By default, Media Server allocates storage the first time it needs to write to the rolling buffer. Allocating storage is not instantaneous so this could delay the start of ..."},"467":{y:0,u:"../Content/Actions/Video/RemoveStream.htm",l:-1,t:"RemoveStream",i:0.000199081796065304,a:"Remove a rolling buffer. This action deletes all video that has been stored in the rolling buffer. If you try to remove a rolling buffer while Media Server is writing video to it, this action will fail. Type: synchronous Example http://localhost:14000/action=RemoveStream\u0026Stream=NewsChannel Response ..."},"468":{y:0,u:"../Content/Actions/Video/RenameStream.htm",l:-1,t:"RenameStream",i:0.000379956076856553,a:"Rename a rolling buffer. If you try to rename a rolling buffer while Media Server is writing video to it, this action will fail. Type: synchronous Example http://localhost:14000/action=RenameStream\u0026Stream=Stream1\n                                          \u0026NewStream=News Response \u003cautnresponse\u003e\n  ..."},"469":{y:0,u:"../Content/Actions/Status/Actions_Status.htm",l:-1,t:"Status Actions",i:0.000184801637241419,a:"Status Actions"},"470":{y:0,u:"../Content/Actions/Status/GetConfigKeys.htm",l:-1,t:"GetConfigKeys",i:0.000204436855624261,a:"Lists information about the parameters that you can use to configure Media Server engines. Example The following example returns information about the parameters that configure audio categorization: \nhttp://localhost:14000/action=GetConfigKeys\u0026EngineType=AudioCategorize Response The following XML is ..."},"471":{y:0,u:"../Content/Actions/Status/GetExampleRecord.htm",l:-1,t:"GetExampleRecord",i:0.000618303285254871,a:"Returns an example record for a specified output track of a specified analysis engine. Media Server returns an example in XML format and a Lua representation of the record. Type: synchronous Example The following example returns an example record for the Result track of a FaceDetect analysis engine: ..."},"472":{y:0,u:"../Content/Actions/Status/_ACI_GetPid.htm",l:-1,t:"GetPid",i:0.000204436855624261,a:"GetPid Returns the ID of the process for Media Server. Example http://12.3.4.56:9000/action=GetPid This action  requests the current process ID from Media Server. Optional Parameters This action accepts the following standard ACI action parameters."},"473":{y:0,u:"../Content/Actions/Status/GetStatus.htm",l:-1,t:"GetStatus",i:0.000688941834111484,a:"Returns the following details about the  Media Server: statistics about running requests (sessions) product name version number build number the ACI port the service port the modules that have been enabled the installation directory the number of ACI threads the special instruction sets supported by ..."},"474":{y:0,u:"../Content/Actions/Status/GetTypeSchemas.htm",l:-1,t:"GetTypeSchemas",i:0.000343139803139927,a:"Returns a list of XML schemas for the data types used in records. Type: synchronous Example http://localhost:14000/action=GetTypeSchemas Response The following is an extract from the response, showing the schema for face recognition results: \u003ctype\u003e\n    \u003cxs:schema\u003e\n        \u003cxs:complexType ..."},"475":{y:0,u:"../Content/Actions/Status/ListDatabases.htm",l:-1,t:"ListDatabases",i:0.000204436855624261,a:"Returns a list of the databases, classifiers, and detectors that exist in the Media Server database. For information about the actions that you can use to train Media Server, see  Training Actions . Example /action=ListDatabases Response The following is a sample response from the ListDatabases ..."},"476":{y:0,u:"../Content/Actions/Status/ListEngines.htm",l:-1,t:"ListEngines",i:0.000204436855624261,a:"Returns a list of the ingest, analysis, encoding, transform, ESP, and output engines that are included in your Media Server license. The response includes engines that you have not enabled (you can enable engines by setting the  Enable  configuration parameter). For analysis engines, the response ..."},"477":{y:0,u:"../Content/Actions/Status/ListSpeechLanguagePacks.htm",l:-1,t:"ListSpeechLanguagePacks",i:0.000555668745528506,a:"Lists the language packs that are available for speech-to-text processing. For information about how to install language packs, see  Install Speech-to-Text Language Packs . Type: synchronous Example /action=ListSpeechLanguagePacks Response The following example response shows that three language ..."},"478":{y:0,u:"../Content/Actions/Template/_ACI_Actions_Template.htm",l:-1,t:"Template Actions",i:0.000184801637241419,a:"Template Actions You can use XSL templates to transform action responses. The actions in this section are used for managing these templates . To use these actions, you must set the  XSLTemplates  parameter to  True."},"479":{y:0,u:"../Content/Actions/Template/_ACI_TemplateDelete.htm",l:-1,t:"TemplateDelete",i:0.00109049615324326,a:"Allows you to delete a specified template. This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example ..."},"480":{y:0,u:"../Content/Actions/Template/_ACI_TemplateList.htm",l:-1,t:"TemplateList",i:0.000224072074007102,a:"TemplateList Lists the templates that are available. Example http://12.3.4.56:16000/action=TemplateList This action requests a list all templates from the ACI server. Optional Parameters This action accepts the following standard ACI action parameters."},"481":{y:0,u:"../Content/Actions/Template/_ACI_TemplateShow.htm",l:-1,t:"TemplateShow",i:0.00109049615324326,a:"Displays a specified template. Example http://12.3.4.56:16000/action=TemplateShow\u0026TemplateName=MyTemplate This action requests the MyTemplate template from the ACI server. Required Parameters The following action parameters are required. Optional Parameters This action accepts the following standard ..."},"482":{y:0,u:"../Content/Actions/Training/_TrainingActions.htm",l:-1,t:"Training Actions",i:0.000515655113846365,a:"Training Actions This section describes the actions that you can use to train Media Server."},"483":{y:0,u:"../Content/Actions/Training/_AudioMatch.htm",l:-1,t:"Audio Matching",i:0.000184801637241419,a:"This section describes the actions that you can use to train audio matching. Apart from  ListAudioMatchDatabases  and  ListAudioMatchClips , all of these actions are administrative actions. Administrative actions can be sent only by users who belong to an authorization role that allows the Admin ..."},"484":{y:0,u:"../Content/Actions/Training/AddAudioMatchClipMetadata.htm",l:-1,t:"AddAudioMatchClipMetadata",i:0.00019461924643284,a:"Adds custom metadata (a key-value pair) to an audio match clip. Type: synchronous Example The following example adds metadata to a clip: /action=AddAudioMatchClipMetadata\u0026database=music\n                                 \u0026identifier=8b40bcf6232a9d3ce9614fd9debe896b\n                                 ..."},"485":{y:0,u:"../Content/Actions/Training/CreateAudioMatchDatabase.htm",l:-1,t:"CreateAudioMatchDatabase",i:0.00019461924643284,a:"Creates a new, empty, database to store training data for audio matching. Type: synchronous Example The following example creates an empty database named music.  /action=CreateAudioMatchDatabase\u0026database=music Response \u003cautnresponse\u003e\n  \u003caction\u003eCREATEAUDIOMATCHDATABASE\u003c/action\u003e\n  ..."},"486":{y:0,u:"../Content/Actions/Training/ExportAudioMatchDatabase.htm",l:-1,t:"ExportAudioMatchDatabase",i:0.000360045984735313,a:"Exports an audio match database to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"music\": /action=ExportAudioMatchDatabase\u0026database=music\n                                \u0026dbpath=./exported/music.dat\n ..."},"487":{y:0,u:"../Content/Actions/Training/GetAudioMatchAudio.htm",l:-1,t:"GetAudioMatchAudio",i:0.00019461924643284,a:"Returns the audio associated with an audio match clip. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example The following example downloads the audio from a clip with the identifier \"clip1\", in the database \"music\", and ..."},"488":{y:0,u:"../Content/Actions/Training/ImportAudioMatchDatabase.htm",l:-1,t:"ImportAudioMatchDatabase",i:0.00019461924643284,a:"Imports an audio match database that was exported using the action  ExportAudioMatchDatabase . Type: asynchronous Example The following example imports an audio match database from the file music.dat in the current directory: curl http://host:14000/action=ImportAudioMatchDatabase -F database=music ..."},"489":{y:0,u:"../Content/Actions/Training/ListAudioMatchClips.htm",l:-1,t:"ListAudioMatchClips",i:0.00019461924643284,a:"Returns a list of audio clips in a specified database. Type: synchronous Example The following example lists up to 10 clips contained in the music database: /action=ListAudioMatchClips\u0026database=music\n                           \u0026start=1\n                           \u0026maxresults=10\n                       ..."},"490":{y:0,u:"../Content/Actions/Training/ListAudioMatchDatabases.htm",l:-1,t:"ListAudioMatchDatabases",i:0.00019461924643284,a:"Lists the databases that have been created for audio matching. Type: synchronous Example /action=ListAudioMatchDatabases Response The response includes the following information for each database: database - the name of the database. samplefrequency - the sample frequency of the audio that the ..."},"491":{y:0,u:"../Content/Actions/Training/NullAudioMatchAudioData.htm",l:-1,t:"NullAudioMatchAudioData",i:0.000360045984735313,a:"Removes (deletes) the audio from an audio match clip, but does not remove the training generated from the audio data. After running this action an audio clip can still be recognized but the audio cannot be retrieved from the database and cannot be used to retrain Media Server. If future versions of ..."},"492":{y:0,u:"../Content/Actions/Training/RemoveAudioMatchClip.htm",l:-1,t:"RemoveAudioMatchClip",i:0.000500659111888258,a:"Removes (deletes) an existing audio clip. Type: synchronous Example /action=RemoveAudioMatchClip\u0026database=music\n                            \u0026identifier=560c36fdb82e162ba006b2ffdcf20f8e Response \u003cautnresponse\u003e\n  \u003caction\u003eREMOVEAUDIOMATCHCLIP\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"493":{y:0,u:"../Content/Actions/Training/RemoveAudioMatchClipMetadata.htm",l:-1,t:"RemoveAudioMatchClipMetadata",i:0.00019461924643284,a:"Removes custom metadata (a key-value pair) from an audio match clip. Type: synchronous Example /action=RemoveAudioMatchClipMetadata\u0026database=music\n                                    \u0026identifier=8b40bcf6232a9d3ce9614fd9debe896b\n                                    \u0026key=composer Response ..."},"494":{y:0,u:"../Content/Actions/Training/RemoveAudioMatchDatabase.htm",l:-1,t:"RemoveAudioMatchDatabase",i:0.00019461924643284,a:"Removes (deletes) a database that stores training data for audio matching. All audio clips contained in the specified database are deleted.  Type: synchronous Example The following example removes the database music. /action=RemoveAudioMatchDatabase\u0026database=music Response \u003cautnresponse\u003e   ..."},"495":{y:0,u:"../Content/Actions/Training/RenameAudioMatchDatabase.htm",l:-1,t:"RenameAudioMatchDatabase",i:0.00019461924643284,a:"Renames a database that stores training data for audio matching. Type: synchronous Example The following example renames the database music, using the new name music-clips. /action=RenameAudioMatchDatabase\u0026database=music\u0026newdatabase=music-clips Response \u003cautnresponse\u003e\n  ..."},"496":{y:0,u:"../Content/Actions/Training/SyncAudioMatchClips.htm",l:-1,t:"SyncAudioMatchClips",i:0.000381563516872523,a:"Forces Media Server to synchronize its audio match training with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations until it has synchronized with the database. Media ..."},"497":{y:0,u:"../Content/Actions/Training/TrainAudioMatchClip.htm",l:-1,t:"TrainAudioMatchClip",i:0.000360045984735313,a:"Trains Media Server to recognize an audio clip. Type: asynchronous Example The following example trains Media Server by sending the path of the audio clip: curl http://localhost:14000/action=TrainAudioMatchClip\n                            -F database=music\n                            -F ..."},"498":{y:0,u:"../Content/Actions/Training/UpdateAudioMatchClipMetadata.htm",l:-1,t:"UpdateAudioMatchClipMetadata",i:0.00019461924643284,a:"Updates the value of a key-value pair in the custom metadata of an audio match clip. Type: synchronous Example /action=UpdateAudioMatchClipMetadata\u0026database=music\n                                    \u0026identifier=8b40bcf6232a9d3ce9614fd9debe896b\n                                    \u0026key=composer\n       ..."},"499":{y:0,u:"../Content/Actions/Training/_ColorAnalysis.htm",l:-1,t:"Color Analysis",i:0.000184801637241419,a:"Color Analysis This section describes the actions that you can use with color analysis."},"500":{y:0,u:"../Content/Actions/Training/ListColors.htm",l:-1,t:"ListColors",i:0.000341883384304153,a:" Lists the color names that have been defined in a color dictionary file, and the associated color values. Type: synchronous Example The following example lists the colors in the basic colors dictionary: /action=ListColors\u0026ColorDictionary=basiccolors.dat Response The response returns the color names ..."},"501":{y:0,u:"../Content/Actions/Training/_FaceRecognition.htm",l:-1,t:"Face Recognition",i:0.000184801637241419,a:"This section describes the actions that you can use to train face recognition. Apart from  ListFaceDatabases ,  ListFaces , and  GetFaceImage , all of these actions are administrative actions. Administrative actions can be sent only by users who belong to an authorization role that allows the Admin ..."},});